Unable to upgrade FW

Unable to upgrade FW
Unable to upgrade FW
2017-10-05 04:17:10
Model : Archer C2

Hardware Version :

Firmware Version : 0.9.1 1.0 v0032.1 Build 150327 Rel. 45223n

ISP :

Hi
When trying to upgrade to latest FW version,I get:Error 4502 file wasn't accepted by the deviceHW version is V1, matching the FW fileTried from IE and Chrome, on ethernet cable connection, with no luck.What can be done?Thanks
0
0
#1
Options
14 Replies
Re:Unable to upgrade FW
2017-10-05 15:32:46
where did you download the new firmware? you'd better download it from your region's website, choose correct hardware version first, since your router is version 1, only firmwares under version 1 can be used
0
0
#2
Options
Re:Unable to upgrade FW
2017-10-05 16:43:27

Enson Loo wrote

where did you download the new firmware? you'd better download it from your region's website, choose correct hardware version first, since your router is version 1, only firmwares under version 1 can be used


Hi
My region is IL, and I downloaded the FW from the IL region website -
http://www.tp-link.com/il/download/Archer-C2.html#Firmware

There's only 1 FW available there, and it matches the HW version on my router
( Which is: Archer C2 v1 00000000 )
0
0
#3
Options
Re:Unable to upgrade FW
2018-03-17 19:47:00
Same exact problem here - any solution for this?
is there any way to force the router to upgrade?
0
0
#4
Options
Re:Unable to upgrade FW
2018-03-17 19:56:11
Same exact problem here - any solution for this?
is there any way to force the router to upgrade?

0
0
#5
Options
Unable to upgrade firmware
2018-03-17 22:20:51
My advice is to leave it alone, especially if you're not experiencing and problems. TP-Link's firmware is sometimes not ready for primetime. Don't risk bricking you router if it's working as it should. Exercise patience.
0
0
#6
Options
Re:Unable to upgrade FW
2018-03-18 03:31:05
The released FW is from last year
and there were two releases before that - the router will not accept any of them.
I suspect that since it is on 0.9 version - some thing is wrong with its upgrade process.
is there any method to force it to upgrade?
0
0
#7
Options
Re:Unable to upgrade FW
2018-03-19 16:32:36

WileCoyote wrote

The released FW is from last year
and there were two releases before that - the router will not accept any of them.
I suspect that since it is on 0.9 version - some thing is wrong with its upgrade process.
is there any method to force it to upgrade?
what is the hardware and firmware version of your Router? which firmware you try to upgrade? make sure you choose the right hardware version.
0
0
#8
Options
Re:Unable to upgrade FW
2018-03-20 06:11:55
Firmware version:0.9.1 1.0 v0032.1 Build 150327 Rel.45223n

Hardware version:Archer C2 v1 00000000

trying to install:Archer_C2v1_0.9.1_5.0_up_boot(170207)_2017-02-07_14.16.09
0
0
#9
Options
Re:Unable to upgrade FW
2018-03-20 14:25:37
is the router remade by your ISP? where did you buy it?
if so, you are not able to upgrade the firmware from tp-link.
you may try the old one 160512
https://www.tp-link.com/il/download/Archer-C2_V1.html#Firmware
0
0
#10
Options
Re:Unable to upgrade FW
2018-03-21 03:50:22
already tried 160512 - same results
this router was bought from a store in Israel, not from any ISP
0
0
#11
Options